picard.analysis.artifacts

## Class ErrorSummaryMetrics

- java.lang.Object
- - htsjdk.samtools.metrics.MetricBase
  - - picard.analysis.MergeableMetricBase
    - - picard.analysis.artifacts.ErrorSummaryMetrics

-     public class ErrorSummaryMetrics
      extends MergeableMetricBase

  Summary metrics produced by `CollectSequencingArtifactMetrics` as a roll up of the context-specific error rates, to provide global error rates per type of base substitution. Errors are normalized to the lexically lower reference base and summarized together. E.g. G>T is converted to C>A and merged with data from C>A for reporting.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class picard.analysis.MergeableMetricBase

      `MergeableMetricBase.MergeByAdding, MergeableMetricBase.MergeByAssertEquals, MergeableMetricBase.MergingIsManual, MergeableMetricBase.NoMergingIsDerived, MergeableMetricBase.NoMergingKeepsValue`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `char` | `ALT_BASE` The alternative base (or it's complement).
    `long` | `ALT_COUNT` The number of alt bases observed.
    `char` | `REF_BASE` The reference base (or it's complement).
    `long` | `REF_COUNT` The number of reference bases observed.
    `String` | `SUBSTITUTION` A single string representing the substition from REF_BASE to ALT_BASE for convenience.
    `double` | `SUBSTITUTION_RATE` The rate of the substitution in question.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ErrorSummaryMetrics()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `calculateDerivedFields()` placeholder method that will calculate the derived fields from the other ones.

    - ### Methods inherited from class picard.analysis.MergeableMetricBase

      `canMerge, merge, merge, mergeIfCan`

    - ### Methods inherited from class htsjdk.samtools.metrics.MetricBase

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### REF_BASE

          public char REF_BASE

      The reference base (or it's complement).

    - #### ALT_BASE

          public char ALT_BASE

      The alternative base (or it's complement).

    - #### SUBSTITUTION

          public String SUBSTITUTION

      A single string representing the substition from REF_BASE to ALT_BASE for convenience.

    - #### REF_COUNT

          public long REF_COUNT

      The number of reference bases observed.

    - #### ALT_COUNT

          public long ALT_COUNT

      The number of alt bases observed.

    - #### SUBSTITUTION_RATE

          public double SUBSTITUTION_RATE

      The rate of the substitution in question.

  - ### Constructor Detail

    - #### ErrorSummaryMetrics

          public ErrorSummaryMetrics()

  - ### Method Detail

    - #### calculateDerivedFields

          public void calculateDerivedFields()

      Description copied from class: `MergeableMetricBase`
      placeholder method that will calculate the derived fields from the other ones. classes that are derived from non-trivial base classes should consider calling super.calculateDerivedFields() as well.
      Overrides:
        `calculateDerivedFields` in class `MergeableMetricBase`